Disable the ability to load external entities

- « libxml_clear_errors

- libxml_get_errors »

- PHP Manual
- libxml Functions
- Disable the ability to load external entities

# libxml_disable_entity_loader

(PHP 5 >= 5.2.11, PHP 7, PHP 8)

libxml_disable_entity_loader — Disable the ability to load external entities

Warning

This function has been DEPRECATED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

libxml_disable_entity_loader(bool `$disable` = `true`): bool

Disable/enable the ability to load external entities. Note that disabling the loading of external entities may cause general issues with loading XML documents. However, as of libxml 2.9.0 entity substitution is disabled by default, so there is no need to disable the loading of external entities, unless there is the need to resolve internal entity references with `LIBXML_NOENT`. Generally, it is preferable to use libxml_set_external_entity_loader() to suppress loading of external entities.

### Parameters

`disable`

  Disable (`true`) or enable (`false`) libxml extensions (such as DOM, XMLWriter and XMLReader) to load external entities.

### Return Values

Returns the previous value.

### See Also

- libxml_use_internal_errors() - Disable libxml errors and allow user to fetch error information as needed
- libxml_set_external_entity_loader() - Changes the default external entity loader
- The `LIBXML_NOENT` constant